Fix plugin tests requirements
ClosedPublic

Authored by Phyx on Sep 24 2018, 12:55 AM.

Details

Summary

Unfortunately the implementation has confused the ability to make dynamic libraries with dynamic way.
This constraint is only true for systems that require -fPIC for shared libraries.

Since the implementation has this implicit assumption, mark the tests as requiring dynway.

Test Plan

./validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Phyx created this revision.Sep 24 2018, 12:55 AM
simonpj added inline comments.
testsuite/config/ghc
206–222

You say above

Unfortunately the implementation has confused the ability to make dynamic libraries with dynamic way.
This constraint is only true for systems that require -fPIC for shared libraries.

Since the implementation has this implicit assumption, mark the tests as requiring dynway.

But the Phab message will rapidly be lost in the mists of time. Might you add a Note here to explain?

Phyx added inline comments.Sep 25 2018, 1:07 AM
testsuite/config/ghc
206–222

Sure thing,I'll update the patch later today.

Phyx updated this revision to Diff 18129.Sep 26 2018, 2:03 PM

Add DynWay note.

bgamari accepted this revision.Oct 15 2018, 12:23 PM

Thanks @Phyx!

This revision is now accepted and ready to land.Oct 15 2018, 12:23 PM
This revision was automatically updated to reflect the committed changes.